org.bouncycastle.crypto.digests

## Enum AsconXof.AsconParameters

- java.lang.Object
- - java.lang.Enum<AsconXof.AsconParameters>
  - - org.bouncycastle.crypto.digests.AsconXof.AsconParameters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AsconXof.AsconParameters>
  Enclosing class:
    AsconXof

      public static enum AsconXof.AsconParameters
      extends java.lang.Enum<AsconXof.AsconParameters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AsconXof`
    `AsconXofA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsconXof.AsconParameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AsconXof.AsconParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AsconXof

          public static final AsconXof.AsconParameters AsconXof

    - #### AsconXofA

          public static final AsconXof.AsconParameters AsconXofA

  - ### Method Detail

    - #### values

          public static AsconXof.AsconParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AsconXof.AsconParameters c : AsconXof.AsconParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AsconXof.AsconParameters valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null